Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.freemarker.tags
Class TagModel

    java.lang.Object
      org.apache.struts2.views.freemarker.tags.TagModel

All Implemented Interfaces:
  freemarker.template.TemplateModel, freemarker.template.TemplateTransformModel

Direct Known Subclasses:
  ActionErrorModel, ActionMessageModel, ActionModel, AnchorModel, AutocompleterModel, BeanModel, CheckboxListModel, CheckboxModel, ComboBoxModel, ComponentModel, DateModel, DivModel, DoubleSelectModel, ElseIfModel, ElseModel, FieldErrorModel, FileModel, FormModel, HeadModel, HiddenModel, I18nModel, IfModel, IncludeModel, InputTransferSelectModel, IteratorModel, LabelModel, OptGroupModel, OptionTransferSelectModel, ParamModel, PasswordModel, PropertyModel, PushModel, RadioModel, ResetModel, SelectModel, SetModel, SubmitModel, TabbedPanelModel, TextAreaModel, TextFieldModel, TextModel, TokenModel, TreeModel, TreeNodeModel, UpDownSelectModel, URLModel, WebTableModel

    public abstract class TagModel

extends Object
implements freemarker.template.TemplateTransformModel

Field Summary
`private static Log` | `LOG`
`protected HttpServletRequest` | `req`
`protected HttpServletResponse` | `res`
`protected ValueStack` | `stack`

Fields inherited from interface freemarker.template.TemplateModel
`NOTHING`

Constructor Summary
`TagModel(ValueStack stack, HttpServletRequest req, HttpServletResponse res)`

Method Summary
`protected boolean` | `complexType(Object value)`
`protected Map` | `convertParams(Map params)`
`protected abstract Component` | `getBean()`
`protected Map` | `getComplexParams(Map params)`
`Writer` | `getWriter(Writer writer, Map params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    private static final Log LOG

### stack

    protected ValueStack stack

### req

    protected HttpServletRequest req

### res

    protected HttpServletResponse res

Constructor Detail

### TagModel

    public TagModel(ValueStack stack,
                    HttpServletRequest req,
                    HttpServletResponse res)

Method Detail

### getWriter

    public Writer getWriter(Writer writer,
                            Map params)
                     throws freemarker.template.TemplateModelException,
                            IOException

  Specified by:
    `getWriter` in interface `freemarker.template.TemplateTransformModel`
  Throws:
    `freemarker.template.TemplateModelException`
    `IOException`

### getBean

    protected abstract Component getBean()

### convertParams

    protected Map convertParams(Map params)

### getComplexParams

    protected Map getComplexParams(Map params)

### complexType

    protected boolean complexType(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.